DiskDrive (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.DiskDrive interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface DiskDrive

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, MediaAccessDevice, ModelObject, java.io.Serializable

    public interface DiskDrive

extends MediaAccessDevice

Includes all hard disk drives, non-removable and removable.

Naming Rules:
  0="ansiT10Id"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAnsiT10Id()`
`java.lang.String` | `getModel()`
`java.lang.String` | `getRevision()`
`java.lang.String` | `getVendor()`
`boolean` | `hasAnsiT10Id()`
`boolean` | `hasModel()`
`boolean` | `hasRevision()`
`boolean` | `hasVendor()`
`void` | `setAnsiT10Id(java.lang.String x)`
`void` | `setModel(java.lang.String x)`
`void` | `setRevision(java.lang.String x)`
`void` | `setVendor(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.dev.MediaAccessDevice
`getControllers, getName, getParent, getPhysicalPackage, getStatus, getStorageExtents, getType, hasControllers, hasName, hasParent, hasPhysicalPackage, hasStatus, hasStorageExtents, hasType, setControllers, setName, setParent, setPhysicalPackage, setStatus, setStorageExtents, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getModel

    java.lang.String getModel()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setModel

    void setModel(java.lang.String x)

### hasModel

    boolean hasModel()

### getRevision

    java.lang.String getRevision()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRevision

    void setRevision(java.lang.String x)

### hasRevision

    boolean hasRevision()

### getAnsiT10Id

    java.lang.String getAnsiT10Id()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAnsiT10Id

    void setAnsiT10Id(java.lang.String x)

### hasAnsiT10Id

    boolean hasAnsiT10Id()

### getVendor

    java.lang.String getVendor()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVendor

    void setVendor(java.lang.String x)

### hasVendor

    boolean hasVendor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD